<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body onload="onLoadPaging()">
    <div class="container">
        <div class="form-group text-danger" id="div-result"> 
            ... 
        </div> 
    </div>
</body>
<script>
     "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onLoadPaging(){
      // get data from query string
      var vUrlString = window.location.href; //đường đẫn gọi đến trang
      console.log(vUrlString);
      var vUrl = new URL(vUrlString);

      // get parameters
      var vUserId =  vUrl.searchParams.get("id")
      var vFirstname = vUrl.searchParams.get("firstname");
      var vLastname = vUrl.searchParams.get("lastname");
      var vCountry= vUrl.searchParams.get("country");
      var vSubject = vUrl.searchParams.get("subject");
      var vCustomerType = vUrl.searchParams.get("customerType");
      var vRegisterStatus = vUrl.searchParams.get("registerStatus");
      // show on div result
      var vDivResult = document.getElementById("div-result");
      vDivResult.innerHTML = "Firstname is: " + vFirstname;
      vDivResult.innerHTML += " <br> Lastname is: " + vLastname;
      vDivResult.innerHTML += " <br> Id is: " + vUserId;
      vDivResult.innerHTML += " <br> Country is: " + vCountry;
      vDivResult.innerHTML += " <br> Subject is: " + vSubject;
      vDivResult.innerHTML += " <br> Customer Type is: " + vCustomerType;
      vDivResult.innerHTML += " <br> Register Status is: " + vRegisterStatus;
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
</script>
</html>